View Issue Details

IDProjectCategoryView StatusLast Update
0005720Simple:Presscode - generalpublic2017-07-11 01:58
ReporterMr PapaAssigned ToMr Papa 
PrioritynormalSeverityN/AReproducibilityhave not tried
Status closedResolutionfixed 
Product Version5.7.3 
Target Version5.8Fixed in Version5.8 
Summary0005720: include vs require
Descriptionwe do an include_once in lots of places... some places we do a require_once... while pedantic, we should try to be clear on which one we want to use... include sort of means it may be used based on stimuli... require means that it must be used or it will fail...

think many of our includes should be require... lets see if we can clean up a bit... no real difference to php performance but......
TagsNo tags attached.
change_log_textclean up include vs require
typeenhancement

Activities

svn

svn

2017-01-14 21:20

administrator   ~0019044

Changeset [15040] by steve on 2017-01-14 16:20:00 -0500 (Sat, 14 Jan 2017)

test issue 0005720 clean up include vs require

 Changed Files:

U trunk/admin/help/troubleshooting/spa-ajax-troubleshooting.php
U trunk/admin/panel-admins/forms/spa-admins-manage-admins-form.php
U trunk/admin/panel-admins/spa-admins-display.php
U trunk/admin/panel-components/forms/spa-components-forumranks-form.php
U trunk/admin/panel-components/forms/spa-components-special-ranks-add-form.php
U trunk/admin/panel-components/forms/spa-components-special-ranks-del-form.php
U trunk/admin/panel-components/spa-components-display.php
U trunk/admin/panel-components/spa-components.php
U trunk/admin/panel-components/support/spa-components-save.php
U trunk/admin/panel-forums/ajax/spa-ajax-forums-loader.php
U trunk/admin/panel-forums/spa-forums-display-main.php
U trunk/admin/panel-forums/spa-forums-display.php
U trunk/admin/panel-integration/ajax/spa-ajax-integration-loader.php
U trunk/admin/panel-integration/forms/spa-integration-language-form.php
U trunk/admin/panel-integration/forms/spa-integration-storage-form.php
U trunk/admin/panel-integration/spa-integration-display.php
U trunk/admin/panel-integration/spa-integration.php
U trunk/admin/panel-options/ajax/spa-ajax-options-loader.php
U trunk/admin/panel-options/spa-options-display.php
U trunk/admin/panel-options/spa-options.php
U trunk/admin/panel-options/support/spa-options-save.php
U trunk/admin/panel-permissions/ajax/spa-ajax-permissions-loader.php
U trunk/admin/panel-permissions/forms/spa-permissions-add-permission-form.php
U trunk/admin/panel-permissions/forms/spa-permissions-edit-permission-form.php
U trunk/admin/panel-permissions/spa-permissions-display.php
U trunk/admin/panel-permissions/spa-permissions.php
U trunk/admin/panel-plugins/ajax/spa-ajax-plugins-loader.php
U trunk/admin/panel-plugins/spa-plugins-display.php
U trunk/admin/panel-plugins/spa-plugins.php
U trunk/admin/panel-profiles/ajax/spa-ajax-profiles-loader.php
U trunk/admin/panel-profiles/forms/spa-profiles-options-form.php
U trunk/admin/panel-profiles/spa-profiles-display.php
U trunk/admin/panel-profiles/spa-profiles.php
U trunk/admin/panel-themes/ajax/spa-ajax-themes-loader.php
U trunk/admin/panel-themes/spa-themes-display.php
U trunk/admin/panel-themes/spa-themes.php
U trunk/admin/panel-themes/support/spa-themes-save.php
U trunk/admin/panel-toolbox/ajax/spa-ajax-toolbox-loader.php
U trunk/admin/panel-toolbox/forms/spa-toolbox-environment-form.php
U trunk/admin/panel-toolbox/spa-toolbox-display.php
U trunk/admin/panel-toolbox/spa-toolbox.php
U trunk/admin/panel-toolbox/support/spa-toolbox-save.php
U trunk/admin/panel-usergroups/ajax/spa-ajax-usergroups-loader.php
U trunk/admin/panel-usergroups/forms/spa-usergroups-add-members-form.php
U trunk/admin/panel-usergroups/forms/spa-usergroups-delete-members-form.php
U trunk/admin/panel-usergroups/spa-usergroups-display.php
U trunk/admin/panel-usergroups/spa-usergroups.php
U trunk/admin/panel-users/ajax/spa-ajax-users-loader.php
U trunk/admin/panel-users/spa-users-display.php
U trunk/admin/panel-users/spa-users.php
U trunk/forum/content/ajax/sp-ajax-admintools.php
U trunk/forum/content/forms/sp-form-post-edit.php
U trunk/forum/content/forms/sp-form-post.php
U trunk/forum/content/forms/sp-form-topic.php
U trunk/forum/content/sp-common-view-functions.php
U trunk/forum/content/sp-forms.php
U trunk/forum/content/sp-profile-view-functions.php
U trunk/forum/content/sp-template-control.php
U trunk/forum/editor/sp-text-editor.php
U trunk/forum/library/sp-post.php
U trunk/forum/profile/ajax/sp-ajax-profile.php
U trunk/sp-api/sp-api-class-spcplugin.php
U trunk/sp-api/sp-api-class-spcpost.php
U trunk/sp-control.php
U trunk/sp-startup/admin/spa-admin-ajax-actions.php
U trunk/sp-startup/admin/spa-admin-class-spcplugininstallerskin.php
U trunk/sp-startup/admin/spa-admin-class-spcpluginupgrader.php
U trunk/sp-startup/admin/spa-admin-class-spcpluginupgraderskin.php
U trunk/sp-startup/admin/spa-admin-class-spcthemeinstallerskin.php
U trunk/sp-startup/admin/spa-admin-class-spcthemeupgrader.php
U trunk/sp-startup/admin/spa-admin-class-spcthemeupgraderskin.php
U trunk/sp-startup/admin/spa-admin-menu.php
U trunk/sp-startup/admin/spa-admin-notice.php
U trunk/sp-startup/admin/spa-admin-support-functions.php
U trunk/sp-startup/admin/spa-admin-updater.php
U trunk/sp-startup/core/credentials/sp-rpx.php
U trunk/sp-startup/core/sp-core-ajax-actions.php
U trunk/sp-startup/core/sp-core-cron.php
U trunk/sp-startup/core/sp-core-support-functions.php
U trunk/sp-startup/forum/sp-forum-ajax-actions.php
U trunk/sp-startup/forum/sp-forum-support-functions.php
U trunk/sp-startup/install/resources/objects/sql/sp-sample-install.php
U trunk/sp-startup/install/sp-install.php
U trunk/sp-startup/site/sp-site-support-functions.php
U trunk/sp-startup/sp-load-class-spcadmincoreloader.php
U trunk/sp-startup/sp-load-class-spccoreloader.php
U trunk/sp-startup/sp-load-class-spcforumloader.php
U trunk/sp-startup/sp-load-class-spcsiteloader.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15040
svn

svn

2017-01-14 21:49

administrator   ~0019045

Changeset [15041] by steve on 2017-01-14 16:49:57 -0500 (Sat, 14 Jan 2017)

test issue 0005720 clean up include vs require

 Changed Files:

U plugins/achievements/sp-achievements-plugin.php
U plugins/admin-bar/ajax/sp-admin-bar-ajax-newposts.php
U plugins/admin-bar/ajax/sp-admin-bar-ajax-quickreply.php
U plugins/admin-bar/ajax/sp-admin-bar-ajax-update.php
U plugins/admin-bar/library/sp-admin-bar-components.php
U plugins/admin-bar/sp-admin-bar-install.php
U plugins/admin-bar/sp-admin-bar-plugin.php
U plugins/admin-bar/sp-admin-bar-upgrade.php
U plugins/admin-bar/template-tags/sp-admin-bar-queue-tag.php
U plugins/announce/sp-announce-install.php
U plugins/announce/sp-announce-plugin.php
U plugins/announce/sp-announce-upgrade.php
U plugins/anonymous/sp-anonymous-plugin.php
U plugins/answers-topic/sp-answers-topic-plugin.php
U plugins/autolink/sp-autolink-install.php
U plugins/autolink/sp-autolink-plugin.php
U plugins/autolink/sp-autolink-upgrade.php
U plugins/ban/ajax/sp-ban-ajax-manage.php
U plugins/ban/sp-ban-install.php
U plugins/ban/sp-ban-plugin.php
U plugins/ban/sp-ban-upgrade.php
U plugins/birthdays/sp-birthdays-install.php
U plugins/birthdays/sp-birthdays-plugin.php
U plugins/birthdays/sp-birthdays-upgrade.php
U plugins/blog-linking/admin/spa-components-linking-form.php
U plugins/blog-linking/ajax/sp-ajax-linking.php
U plugins/blog-linking/forms/sp-linking-form.php
U plugins/blog-linking/library/sp-linking-blog.php
U plugins/blog-linking/library/sp-linking-comments.php
U plugins/blog-linking/sp-linking-install.php
U plugins/blog-linking/sp-linking-plugin.php
U plugins/blog-linking/sp-linking-upgrade.php
U plugins/buddypress/library/sp-buddypress-avatar.php
U plugins/buddypress/library/sp-buddypress-component.php
U plugins/buddypress/library/sp-buddypress-notifications.php
U plugins/buddypress/library/sp-buddypress-screens.php
U plugins/buddypress/sp-buddypress-install.php
U plugins/buddypress/sp-buddypress-plugin.php
U plugins/buddypress/sp-buddypress-upgrade.php
U plugins/captcha/sp-captcha-install.php
U plugins/captcha/sp-captcha-plugin.php
U plugins/captcha/sp-captcha-upgrade.php
U plugins/commenter/library/sp-commenter-load-forum.php
U plugins/commenter/sp-commenter-plugin.php
U plugins/cubepoints/sp-cubepoints-install.php
U plugins/cubepoints/sp-cubepoints-plugin.php
U plugins/cubepoints/sp-cubepoints-upgrade.php
U plugins/custom-profile-fields/sp-custom-profile-fields-install.php
U plugins/custom-profile-fields/sp-custom-profile-fields-plugin.php
U plugins/emoji/ajax/sp-emoji-ajax-populate.php
U plugins/emoji/sp-emoji-plugin.php
U plugins/featured/sp-featured-install.php
U plugins/featured/sp-featured-plugin.php
U plugins/featured/sp-featured-upgrade.php
U plugins/google-sitemap/sp-google-sitemap-plugin.php
U plugins/gravatar-cache/sp-gravatar-cache-plugin.php
U plugins/hide-poster/sp-hide-poster-plugin.php
U plugins/html-email/sp-html-email-install.php
U plugins/html-email/sp-html-email-plugin.php
U plugins/html-email/sp-html-email-upgrade.php
U plugins/identities/sp-identities-install.php
U plugins/identities/sp-identities-plugin.php
U plugins/identities/sp-identities-upgrade.php
U plugins/keywords/sp-keywords-install.php
U plugins/keywords/sp-keywords-plugin.php
U plugins/keywords/sp-keywords-upgrade.php
U plugins/logger/sp-logger-install.php
U plugins/logger/sp-logger-plugin.php
U plugins/logger/sp-logger-upgrade.php
U plugins/maintenance/sp-maintenance-install.php
U plugins/maintenance/sp-maintenance-plugin.php
U plugins/maintenance/sp-maintenance-upgrade.php
U plugins/membership-subscribe/admin/sp-membership-subscribe-admin-options-save.php
U plugins/membership-subscribe/sp-membership-subscribe-plugin.php
U plugins/mentions/sp-mentions-install.php
U plugins/mentions/sp-mentions-plugin.php
U plugins/mentions/sp-mentions-upgrade.php
U plugins/moderation-email/sp-moderation-email-plugin.php
U plugins/mycred/library/sp-mycred-component-class.php
U plugins/mycred/sp-mycred-plugin.php
U plugins/online/sp-online-plugin.php
U plugins/plupload/library/sp-plupload-remove.php
U plugins/plupload/library/sp-plupload-upload.php
U plugins/plupload/sp-plupload-install.php
U plugins/plupload/sp-plupload-plugin.php
U plugins/plupload/sp-plupload-upgrade.php
U plugins/policy-doc/sp-policy-doc-install.php
U plugins/policy-doc/sp-policy-doc-plugin.php
U plugins/policy-doc/sp-policy-doc-upgrade.php
U plugins/polls/ajax/sp-polls-ajax-edit.php
U plugins/polls/ajax/sp-polls-ajax-log.php
U plugins/polls/sp-polls-install.php
U plugins/polls/sp-polls-plugin.php
U plugins/polls/sp-polls-upgrade.php
U plugins/post-as/sp-post-as-plugin.php
U plugins/post-by-email/ajax/sp-ajax-pbe-test.php
U plugins/post-by-email/library/sp-email-post-process.php
U plugins/post-by-email/sp-email-post-install.php
U plugins/post-by-email/sp-email-post-plugin.php
U plugins/post-by-email/sp-email-post-upgrade.php
U plugins/post-multiple/library/sp-post-multiple-components.php
U plugins/post-multiple/sp-post-multiple-install.php
U plugins/post-multiple/sp-post-multiple-plugin.php
U plugins/post-multiple/sp-post-multiple-upgrade.php
U plugins/post-preview/sp-preview-plugin.php
U plugins/post-rating/ajax/sp-rating-ajax-manage.php
U plugins/post-rating/sp-rating-install.php
U plugins/post-rating/sp-rating-plugin.php
U plugins/post-rating/sp-rating-upgrade.php
U plugins/post-rating/template-tags/sp-rating-topic-rating.php
U plugins/post-thanks/sp-thanks-install.php
U plugins/post-thanks/sp-thanks-plugin.php
U plugins/post-thanks/sp-thanks-upgrade.php
U plugins/print-topic/sp-print-plugin.php
U plugins/private-messaging/admin/sp-pm-admin-stats.php
U plugins/private-messaging/ajax/sp-pm-ajax-manage.php
U plugins/private-messaging/ajax/sp-pm-ajax-post.php
U plugins/private-messaging/forms/sp-pm-compose-form.php
U plugins/private-messaging/library/sp-pm-components.php
U plugins/private-messaging/library/sp-pm-template-functions.php
U plugins/private-messaging/sp-pm-install.php
U plugins/private-messaging/sp-pm-plugin.php
U plugins/private-messaging/sp-pm-upgrade.php
U plugins/private-messaging/template-tags/sp-pm-inbox-button-tag.php
U plugins/private-messaging/template-tags/sp-pm-inbox-tag.php
U plugins/private-posts/sp-private-posts-install.php
U plugins/private-posts/sp-private-posts-plugin.php
U plugins/private-posts/sp-private-posts-upgrade.php
U plugins/profanity-filter/sp-profanity-filter-install.php
U plugins/profanity-filter/sp-profanity-filter-plugin.php
U plugins/profanity-filter/sp-profanity-filter-upgrade.php
U plugins/profile-display-control/sp-profile-display-control-install.php
U plugins/profile-display-control/sp-profile-display-control-plugin.php
U plugins/prune-db/admin/sp-prune-db-admin-select.php
U plugins/prune-db/sp-prune-db-plugin.php
U plugins/quicktags-bbcode/sp-qtbbcode-plugin.php
U plugins/quicktags-html/sp-qthtml-plugin.php
U plugins/rank-info/sp-rank-info-install.php
U plugins/rank-info/sp-rank-info-plugin.php
U plugins/rank-info/sp-rank-info-upgrade.php
U plugins/report-post/sp-report-post-install.php
U plugins/report-post/sp-report-post-plugin.php
U plugins/report-post/sp-report-post-upgrade.php
U plugins/reputation/admin/sp-reputation-admin-reset-save.php
U plugins/reputation/sp-reputation-install.php
U plugins/reputation/sp-reputation-plugin.php
U plugins/reputation/sp-reputation-upgrade.php
U plugins/search/library/sp-search-components.php
U plugins/search/sp-search-install.php
U plugins/search/sp-search-plugin.php
U plugins/search/sp-search-upgrade.php
U plugins/search-by-user/sp-search-by-user-plugin.php
U plugins/share-this/sp-share-this-install.php
U plugins/share-this/sp-share-this-plugin.php
U plugins/share-this/sp-share-this-upgrade.php
U plugins/slack/sp-slack-install.php
U plugins/slack/sp-slack-plugin.php
U plugins/slack/sp-slack-upgrade.php
U plugins/spam-registrations/ajax/sp-spam-reg-ajax.php
U plugins/spam-registrations/sp-spam-reg-plugin.php
U plugins/subscriptions/admin/sp-subscriptions-admin-digest.php
U plugins/subscriptions/admin/sp-subscriptions-admin-forums.php
U plugins/subscriptions/admin/sp-subscriptions-admin-users.php
U plugins/subscriptions/ajax/sp-subscriptions-ajax-digest.php
U plugins/subscriptions/ajax/sp-subscriptions-ajax-forums.php
U plugins/subscriptions/ajax/sp-subscriptions-ajax-manage.php
U plugins/subscriptions/ajax/sp-subscriptions-ajax-topics.php
U plugins/subscriptions/ajax/sp-subscriptions-ajax-users.php
U plugins/subscriptions/forms/sp-subscriptions-forum-form.php
U plugins/subscriptions/library/sp-subscriptions-components.php
U plugins/subscriptions/library/sp-subscriptions-database.php
U plugins/subscriptions/sp-subscriptions-install.php
U plugins/subscriptions/sp-subscriptions-plugin.php
U plugins/subscriptions/sp-subscriptions-upgrade.php
U plugins/syntax-highlighting/resources/jscript/jquery.syntax.brush.php.js
U plugins/syntax-highlighting/sp-syntax-install.php
U plugins/syntax-highlighting/sp-syntax-plugin.php
U plugins/tags/admin/sp-tags-admin-edit.php
U plugins/tags/admin/sp-tags-admin-manage.php
U plugins/tags/ajax/sp-tags-ajax-admin.php
U plugins/tags/library/sp-tags-components.php
U plugins/tags/sp-tags-install.php
U plugins/tags/sp-tags-plugin.php
U plugins/tags/sp-tags-upgrade.php
U plugins/template-tags/library/sp-ShowForumRank-tag.php
U plugins/template-tags/library/sp-ShowSpecialRanks-tag.php
U plugins/template-tags/sp-template-tags-plugin.php
U plugins/threading/sp-threading-plugin.php
U plugins/timezone/sp-timezone-plugin.php
U plugins/tinymce-richtext/resources/plugins/sphelp/sp-help.php
U plugins/tinymce-richtext/sp-tinymce-install.php
U plugins/tinymce-richtext/sp-tinymce-plugin.php
U plugins/tinymce-richtext/sp-tinymce-upgrade.php
U plugins/topic-description/sp-topic-description-plugin.php
U plugins/topic-expire/sp-topic-expire-plugin.php
U plugins/topic-redirect/sp-redirect-plugin.php
U plugins/topic-status/ajax/sp-ajax-topicstatus-change.php
U plugins/topic-status/sp-topicstatus-install.php
U plugins/topic-status/sp-topicstatus-plugin.php
U plugins/topic-status/sp-topicstatus-upgrade.php
U plugins/unanswered/sp-unanswered-plugin.php
U plugins/uploads-viewer/library/sp-uploads-viewer-components.php
U plugins/uploads-viewer/sp-uploads-viewer-plugin.php
U plugins/user-selection/sp-user-selection-install.php
U plugins/user-selection/sp-user-selection-plugin.php
U plugins/user-selection/sp-user-selection-upgrade.php
U plugins/warnings-suspensions/ajax/sp-warnings-suspensions-ajax-admin.php
U plugins/warnings-suspensions/library/sp-warnings-suspensions-components.php
U plugins/warnings-suspensions/sp-warnings-suspensions-install.php
U plugins/warnings-suspensions/sp-warnings-suspensions-plugin.php
U plugins/warnings-suspensions/sp-warnings-suspensions-upgrade.php
U plugins/watches/admin/sp-watches-admin-users.php
U plugins/watches/ajax/sp-watches-ajax-manage.php
U plugins/watches/ajax/sp-watches-ajax-topics.php
U plugins/watches/ajax/sp-watches-ajax-users.php
U plugins/watches/library/sp-watches-components.php
U plugins/watches/library/sp-watches-database.php
U plugins/watches/sp-watches-plugin.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15041
svn

svn

2017-01-14 21:50

administrator   ~0019046

Changeset [15042] by steve on 2017-01-14 16:50:14 -0500 (Sat, 14 Jan 2017)

test issue 0005720 clean up include vs require

 Changed Files:

U templates/barebones/admin/sp-barebones-options-form.php
U templates/barebones/admin/sp-barebones-options-save.php
U templates/barebones/admin/spAdmin.php
U templates/barebones/styles/overlays/custom.php
U templates/barebones/templates/spFunctions.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15042
Yellow Swordfish

Yellow Swordfish

2017-01-18 09:02

administrator   ~0019065

This is a weird one:

[18-Jan-2017 08:59:14 UTC] PHP Parse error: syntax error, unexpected ')' in /Users/andy/sites/simple-press-600/wp-content/plugins/simple-press/admin/panel-options/spa-options-display.php on line 32

The function name call has been replaced by
require_once();
svn

svn

2017-01-18 09:36

administrator   ~0019066

Changeset [15060] by andy on 2017-01-18 04:36:21 -0500 (Wed, 18 Jan 2017)

test issue 0005720
How on earth this got changed I can not think! really odd...

 Changed Files:

U trunk/admin/panel-options/spa-options-display.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15060

Issue History

Date Modified Username Field Change
2017-01-14 19:31 Mr Papa New Issue
2017-01-14 20:53 Mr Papa Assigned To => Mr Papa
2017-01-14 20:53 Mr Papa Status new => assigned
2017-01-14 21:20 svn =>
2017-01-14 21:20 svn Note Added: 0019044
2017-01-14 21:20 svn Status assigned => testing
2017-01-14 21:49 svn =>
2017-01-14 21:49 svn Note Added: 0019045
2017-01-14 21:50 svn =>
2017-01-14 21:50 svn Note Added: 0019046
2017-01-18 09:02 Yellow Swordfish Status testing => rework
2017-01-18 09:02 Yellow Swordfish Note Added: 0019065
2017-01-18 09:36 svn =>
2017-01-18 09:36 svn Note Added: 0019066
2017-01-18 09:36 svn Status rework => testing
2017-01-22 18:34 Mr Papa Status testing => closed
2017-01-22 18:34 Mr Papa Resolution open => fixed
2017-01-22 18:34 Mr Papa Fixed in Version => 6.0
2017-01-22 18:34 Mr Papa change_log_text update => clean up include vs require
2017-07-11 01:58 Mr Papa Fixed in Version 6.0 => 5.8
2017-07-11 01:58 Mr Papa Target Version 6.0 => 5.8